<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>HOD</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  {% load staticfiles %}
  <link rel="stylesheet" href="{% static "hod/style.css" %}" />
  <!-- Compiled and minified CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
  <!--Import Google Icon Font-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

  <!-- Jquery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>

<body>
  <nav>

    <!-- Navbar -->
    <div class="nav-wrapper blue darken-3  z-depth-0">
      <a href="#!" class="brand-logo"><img src="{%static "/images/logo.png" %}" width="71" height="auto"></a>
      <a href="#" data-target="mobile" class="sidenav-trigger"><i class="material-icons">menu</i></a>
      <ul class="right hide-on-med-and-down">
        <li><a href="$"> <span class="blue-grey-text text-lighten-5 "> Home</span></a></li>
        <li><a href="$"> <span class=" blue-grey-text text-lighten-5"> About</span></a></li>
        <li><a href="$"> <span class="blue-grey-text text-lighten-5"> Department</span></a></li>
        <li><a href="$"> <span class="blue-grey-text text-lighten-5"> Clubs And Association</span></a></li>
        <li><a href="$"> <span class="blue-grey-text text-lighten-5"> Research</span></a></li>
        <li><a href="$"> <span class="blue-grey-text text-lighten-5"> Ask Us</span></a></li>
        <li><a href="{% url 'index' %}" class="hov"> <span class="btn sign">Sign Out</span></a></li>
      </ul>
    </div>
  </nav>

  <!-- Sidenav for mobile phones -->
  <ul class="sidenav" id="mobile" >
    <li class="hero-image center">
      <img  src="{% static "/images/default_img.png" %}">
      <h5 style="color:#01579b;">{{hod.name }}</h5>
    </li>
  <li><a href="$"> <span class=" blue-text text-darken-3  "> Home</span></a></li>
    <li><a href="$"> <span class=" blue-text text-darken-3  "> About</span></a></li>
    <li><a href="$"> <span class=" blue-text text-darken-3  "> Department</span></a></li>
    <li><a href="$"> <span class=" blue-text text-darken-3  "> Clubs And Association</span></a></li>
    <li><a href="$"> <span class="blue-text text-darken-3  "> Research</span></a></li>
    <li><a href="$"> <span class="blue-text text-darken-3  "> Ask Us</span></a></li>
    <li><a href="{% url 'index' %}" class="btn  blue darken-3">Sign out</a></li>
  </ul> 
  {% if user.is_authenticated and hod.user == user %}
  <div class="container center-align">
    <table >
      <tbody>
        {% if queries %}

        {% for query in queries %}{% csrf_token %}
        <tr> 
          <tr class="tr-query-top">
          <td>{{query.query_date}}</td>
          </tr>
          <tr class="tr-query-bottom">
                <td class="s-text m-text">
                  {{query.query}}
                </td>
          </tr>
          <tr>
          <td><a class="btn tooltipped fab-button btn is-rounded  modal-trigger" data-position="bottom" data-tooltip="Reply" href="#{{ query.pk }}"><i class="material-icons query-icons">replay</i></a>
          <a class="btn tooltipped fab-button btn red lighten-1" data-position="bottom" data-tooltip="Delete"
              href="{% url 'del_item' query.branch_id.branch_id query.pk %}"><i class="material-icons query-icons">delete</i></a>
              <a class="tooltipped" data-position="bottom" data-tooltip="Forward"><button class='fab-button dropdown-trigger btn' data-target='dropdown1'><i class="material-icons query-icons">arrow_forward</i></button></td></a>
          
          
              <!-- Dropdown Structure -->
          <ul id='dropdown1' name="fowardtohod" class='dropdown-content'>
            <li value='1'><a href="{% url 'forward_view' query.pk '1' query.branch_id.branch_id %}">CSE</a></li>
            <li value='2'><a href="{% url 'forward_view' query.pk '2' query.branch_id.branch_id %}">CE</a></li>
            <li value='3'><a href="{% url 'forward_view' query.pk '3' query.branch_id.branch_id %}">Public</a></li>
            <li value='4'><a href="{% url 'forward_view' query.pk '4' query.branch_id.branch_id %}">EEE</a></li>
            <li value='5'><a href="{% url 'forward_view' query.pk '5' query.branch_id.branch_id %}">EC</a></li>
            <li value='6'><a href="{% url 'forward_view' query.pk '6' query.branch_id.branch_id %}">EIE</a></li>
            <li value='7'><a href="{% url 'forward_view' query.pk '7' query.branch_id.branch_id %}">ME</a></li>
          </ul>
          </tr>
        </tr>

        <!-- Query action modals -->
        <div id={{query.pk}} class="modal">
          <div class="modal-content">
            <h4>Send Reply</h4>
            <form method="post" action="/send_query_response">
              {% csrf_token %}
              <div>
                <input name="hod_id" type="hidden" value={{ query.branch_id.branch_id }}></input>
                <div class="input-field">
                  <input id="email" name="email" value={{query.mail_id}} type="email" class="validate">
                  <label for="email"><i class="material-icons">email</i> </label>
                </div>

                <div class="input-field">
                  <input id="subject" name="subject" type="text" class="validate">
                  <label for="email">Subject:</label>
                </div>
                <div class="input-field">
                  <textarea id="textarea1" name="body" class="materialize-textarea"></textarea>
                  <label for="textarea1">Reply</label>
                </div>
              </div>
          </div>
          <div class="modal-footer">
            <button class="waves-effect waves-light btn" type="submit">Send <i
                class="material-icons fab-send">arrow_forward</i>
            </button>
          </div>
          </form>
        </div>
        {%endfor%}

        {% else %}
        <tr class="no-queries">
          <td class="no-queries">
            No queries for now
          </td>
        </tr >
        {% endif %}
      </tbody>
    </table>
  </div>
  {% else %}
  <div class="container center-align">
    <div class="row">
      <div class="card-panel deep-purple lighten-3 card nologin-div">
        <div class="nologin">
          <span class="white-text">
            You are not logged in
          </span>
          <p>
            <a class="waves-effect waves-light btn purple darken-3" href="{% url 'login' %}">
              <i class="material-icons right">arrow_forward</i>Login</a>

          </p>
        </div>

      </div>
    </div>
  </div>
  {% endif %}


  <!-- Compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
  <script>
    $(document).ready(function () {
      $('.modal').modal();
      $('.dropdown-trigger').dropdown();
      $('.sidenav').sidenav();
       $('.tooltipped').tooltip();
    });
  </script>
</body>

</html>